Bug 1186689 - RFE: make dnf repoquery --whatrequires behave like yum based repoquery (add --alldeps support)
RFE: make dnf repoquery --whatrequires behave like yum based repoquery (add -...
Status: CLOSED CURRENTRELEASE
Product: Fedora
Classification: Fedora
Component: dnf-plugins-core (Show other bugs)
21
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: packaging-team-maint
Fedora Extras Quality Assurance
: Reopened
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2015-01-28 05:20 EST by Hans de Goede
Modified: 2015-10-02 05:05 EDT (History)
10 users (show)

See Also:
Fixed In Version: dnf-plugins-core-0.1.9-1.fc22
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2015-10-02 04:49:48 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Hans de Goede 2015-01-28 05:20:42 EST
I'm trying to fully switch to dnf, and to learn to type "dnf repoquery", instead of "repoquery".

The old repoquery has a --alldeps option for use with --whatrequires, and now a days this is enabled by default. What this does is if the passed in argument is a package name, do "rpm -q --provides" on the package and then run --whatrequires on all the deps listed by --provides. This is much more useful then the old behavior without --alldeps.

E.g. today I heard that audiofile was being orphaned, so I did:

[hans@shalem ~]$ sudo dnf repoquery --whatrequires audiofile
audiofile-devel-1:0.3.6-4.fc21.i686
audiofile-devel-1:0.3.6-4.fc21.x86_64

Hmm, that can't be right:

[hans@shalem ~]$ sudo rpm -e audiofile audiofile-devel
error: Failed dependencies:
        libaudiofile.so.1()(64bit) is needed by (installed) arts-8:1.5.10-26.fc21.x86_64
        libaudiofile.so.1()(64bit) is needed by (installed) esound-libs-1:0.2.41-12.fc21.x86_64

See, not right.

Where as the old repoquery gives:

[hans@shalem ~]$ sudo repoquery --whatrequires audiofile
LabPlot-0:1.6.0.3-7.fc21.i686
LabPlot-0:1.6.0.3-7.fc21.x86_64
arts-8:1.5.10-26.fc21.i686
arts-8:1.5.10-26.fc21.x86_64
audiofile-devel-1:0.3.6-4.fc21.i686
audiofile-devel-1:0.3.6-4.fc21.x86_64
esound-daemon-1:0.2.41-12.fc21.x86_64
esound-libs-1:0.2.41-12.fc21.i686
esound-libs-1:0.2.41-12.fc21.x86_64
esound-tools-1:0.2.41-12.fc21.x86_64
fuse-emulator-utils-0:1.1.1-5.fc21.x86_64
gnome-libs-1:1.4.2-29.fc21.i686
gnome-libs-1:1.4.2-29.fc21.x86_64
kvirc-0:4.2.0-12.fc21.i686
kvirc-0:4.2.0-12.fc21.x86_64
libspectrum-0:1.1.1-5.fc21.i686
libspectrum-0:1.1.1-5.fc21.x86_64
mpd-1:0.19.2-1.fc21.x86_64
normalize-0:0.7.7-10.fc21.x86_64
paulstretch-0:2.2.2-8.fc21.x86_64
soundmodem-0:0.18-3.fc21.x86_64
spacechart-0:0.9.5-14.fc21.x86_64
terminatorX-0:3.90-3.fc21.x86_64

As it also effectively does "repoquery --whatrequires 'libaudiofile.so.1()(64bit)'" (and more like that).

Note this is different from bug 1156778 which is about dnf repoquery sometimes returning too much, this is the opposite.
Comment 1 Parag Nemade 2015-02-03 04:34:58 EST
Here is my use-case to reproduce

$ sudo dnf repoquery --whatrequires nodejs-nan
==> No Output

$ sudo repoquery --whatrequires nodejs-nan
nodejs-bson-0:0.2.9-2.fc21.x86_64
nodejs-fs-ext-0:0.4.2-2.fc21.x86_64
nodejs-mapnik-0:1.4.17-2.fc21.x86_64
nodejs-node-expat-0:2.1.4-6.fc21.x86_64
nodejs-node-stringprep-0:0.2.3-6.fc21.x86_64
nodejs-srs-0:0.4.3-2.fc21.x86_64
nodejs-ws-0:0.4.31-5.fc21.x86_64
Comment 2 Honza Silhan 2015-02-03 12:09:08 EST
Thanks for the report we will take a look.
Comment 3 Orion Poplawski 2015-05-22 12:41:06 EDT
dnf repoquery --whatrequires is pretty useless without this.
Comment 4 Fedora Update System 2015-06-24 08:08:48 EDT
dnf-plugins-core-0.1.9-1.fc22 has been submitted as an update for Fedora 22.
https://admin.fedoraproject.org/updates/dnf-plugins-core-0.1.9-1.fc22
Comment 5 Fedora Update System 2015-06-25 04:22:09 EDT
Package dnf-plugins-core-0.1.9-1.fc22:
* should fix your issue,
* was pushed to the Fedora 22 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing dnf-plugins-core-0.1.9-1.fc22'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-2015-10706/dnf-plugins-core-0.1.9-1.fc22
then log in and leave karma (feedback).
Comment 6 Fedora Update System 2015-06-27 18:32:59 EDT
dnf-plugins-core-0.1.9-1.fc22 has been pushed to the Fedora 22 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 7 Przemek Klosowski 2015-09-28 13:41:32 EDT
The problem still exists as per Parag's Comment 1
I have dnf-1.1.1-2.fc22.noarch
Comment 8 Michal Luscon 2015-10-02 04:49:48 EDT
Hi,

we fixed this be newly added cmd option --alldeps. Please see http://dnf-plugins-core.readthedocs.org/en/latest/repoquery.html .
Comment 9 Hans de Goede 2015-10-02 05:05:29 EDT
Hi,

(In reply to Michal Luscon from comment #8)
> Hi,
> 
> we fixed this be newly added cmd option --alldeps. Please see
> http://dnf-plugins-core.readthedocs.org/en/latest/repoquery.html .

In yum's repoquery --alldeps was on by default, you may want to do the same in dnf, as --alldeps typically is what people actually want.

Regards,

Hans

Note You need to log in before you can comment on or make changes to this bug.